Subject: Re: bug#1174: 23.0.60; Some UTF-8 mails displaying wrongly in Emacs 23

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Oct 2008 11:53:12 +0200

> From: Frank Schmitt <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 17 Oct 2008 10:52:15 +0200
> 
> Andreas Schwab <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> From: Frank Schmitt <[email-masked]>
> >>> Date: Thu, 16 Oct 2008 10:36:36 +0200
> >>> Cc: [email-masked]
> >>> 
> >>> Andreas Schwab <[email-masked]> writes:
> >>> 
> >>> > Frank Schmitt <[email-masked]> writes:
> >>> >
> >>> >> In Emacs 23 in the mail from my boss I get
> >>> >> Char: � (4194300, #o17777774, #x3ffffc, raw-byte) point=212 of 461 (46%) column=4
> >>> >
> >>> > How is that character encoded in the mail?
> >>> 
> >>> You mean the headers of the mail?
> >>
> >> No, Andreas means what sequence of 8-bit bytes was used to encode the
> >> character in the original message?
> >
> > It was acatually the right hint.  ISTR there was a problem in Gnus with
> > 8-bit encoded articles, but all I could find is
> > <http://permalink.gmane.org/gmane.emacs.gnus.general/67112>.
> 
> Yes, this seems to be the same problem I am seeing. Any idea on how I
> could further debug this? It is a real show-stopper for me.

Is it true that this happens when the charset is stated as UTF-8
(upper-case), but works if it is utf-8 (lower-case)?  If so, then
Gnus, or one of the functions it calls, doesn't downcase the charset
name before it intern's it, to get the coding-system.

Or is the problem the "; format=flowed" thingy?